<?php
	include_once('common.php');
	
	$beanMap = getModifiedBeans($_POST['datetime'], $_POST['type'], null, $_POST['limit'], $_POST['offset']);
	$resultMap = array();
	foreach (array_chunk($beanMap, 200, true) as $beanMapChunk) {
		$emailMap = getEmailsFromBeanIds(array_keys($beanMapChunk), $_POST['type']);
		foreach ($emailMap as $email => $beanIds) {
			$minModified = null;
			foreach ($beanIds as $beanId) {
				$dateModified = isset($beanMapChunk[$beanId]) ? $beanMapChunk[$beanId]['date_modified'] : null;
				$minModified = $minModified ? min($dateModified, $minModified) : $dateModified;
			}
			$resultMap []= generateNameValueList(array('email1' => $email, 'date_modified' => $minModified));
		}
	}
	serializeResult(array('entry_list' => $resultMap, 'size' => sizeof($beanMap)));
