<?php
function pre_uninstall()
{
	global $current_user, $current_language, $GLOBALS;

	$mod_list_strings = return_mod_list_strings_language($current_language,'ModuleBuilder');

	require_once('include/utils.php');
	require_once('include/utils/file_utils.php');
	require_once('config.php');

	require_once('modules/ModuleBuilder/Module/StudioModule.php');
	
	//Removing the html field from Leads now.
	echo "<br> ************<strong> Deleting the Pardot fields </strong>************** <br>";
	
	$fields['Leads'][] = 'pi_grade_c';
	$fields['Leads'][] = 'pi_score_c';
	$fields['Leads'][] = 'pi_campaign_c';
	$fields['Leads'][] = 'pi_html_c';
    $fields['Leads'][] = 'pi_html_lists_c';
    $fields['Leads'][] = 'pi_html_social_c';
	$fields['Leads'][] = 'pi_first_activity_c';
	$fields['Leads'][] = 'pi_notes_c';
	$fields['Leads'][] = 'pi_first_referrer_c';
	$fields['Leads'][] = 'pi_first_search_term_c';
	$fields['Leads'][] = 'pi_first_search_type_c';
	
	$fields['Contacts'][] = 'pi_grade_c';
	$fields['Contacts'][] = 'pi_score_c';
	$fields['Contacts'][] = 'pi_campaign_c';
	$fields['Contacts'][] = 'pi_html_c';
    $fields['Contacts'][] = 'pi_html_lists_c';
    $fields['Contacts'][] = 'pi_html_social_c';
	$fields['Contacts'][] = 'pi_first_activity_c';
	$fields['Contacts'][] = 'pi_notes_c';
	$fields['Contacts'][] = 'pi_first_referrer_c';
	$fields['Contacts'][] = 'pi_first_search_term_c';
	$fields['Contacts'][] = 'pi_first_search_type_c';	
	
	foreach ($fields as $module=>$entry) {
		echo "<br><strong> Removing the Pardot fields from the $module module</strong><br>";	
		$sm = new StudioModule($module);
		foreach ($entry as $key=>$value) {
			$sm->removeFieldFromLayouts($value);
			echo ("<LI> <strong>$value</strong> field removed from <strong>$module</strong> layouts<BR>\n");
		}
	}	
  
	// this is so that the Pardot tab / module will go away...
    // the next time the return_app_list_strings_language() method in Sugar's include/utils.js file
    // is called, this value will be repopulated
    sugar_cache_clear('app_list_strings.en_us');
	
	echo "<br><strong>Pardot for SugarCRM has been successfully uninstalled</strong>";
}

?>
