<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point'); 

class PardotContactHook
{
	function delete(&$bean, $event, $arguments)
	{
		$email = $bean->email1;
		$fid = $bean->id;
		if(!$email || !$fid) {
			return;
		}
		
		$admin = new Administration();
		$admin->retrieveSettings('pardot');
		$settings = $admin->settings;

		$account_id = '';
		$secret_key = '';
		$hash = '';
		if (isset($settings['pardot_pardot_account']) && isset($settings['pardot_pardot_secret_key'])) {
			$account_id = $settings['pardot_pardot_account'];
			$secret_key = $settings['pardot_pardot_secret_key'];
		}
		if (isset($settings['pardot_rotating_key']) && isset($settings['pardot_account'])) {
			$account_id = $settings['pardot_account'];
			$key = $settings['pardot_rotating_key'];
			$hash = md5($account_id.$key);
		}
		
		if ((!$secret_key && !$hash) || !$account_id) {
			return;
		}
		
		$postString = 'https://pi.pardot.com/crm/deleteFromCrm'
						.'?account_id='.urlencode($account_id)
						.'&key='.urlencode($secret_key)
						.'&hash='.urlencode($hash)
						.'&email='.urlencode($email)
						.'&fid='.urlencode($fid)
						.'&object_type=Contact';
		$result = file_get_contents($postString);
	}
	
	function undelete(&$bean, $event, $arguments)
	{
		$email = $bean->email1; 
		$crmContactFid = $bean->id;
	}
}