<?php
class PardotUserHook {
	
	public function after_retrieve(&$bean, $event, $arguments)
	{

		$admin = new Administration();
		$admin->retrieveSettings('pardot');
		$settings = $admin->settings;

		$auth = '';
		if (isset($settings['pardot_rotating_key']) && isset($settings['pardot_account'])) {
			$key = $settings['pardot_rotating_key'];
			$account = $settings['pardot_account'];

			$auth .= '/user/'.$bean->user_name;
			$auth .= '/hash/'.md5($bean->user_name.$key);
			$auth .= '/account/'.$account;
		}
		$bean->pardot_auth = $auth;
	}
}
