<?php
	include_once('common.php');
	
	$module = $_POST['type'];
	if (!in_array($module, array('Contacts', 'Leads', 'Opportunities'))) {
		serializeError('Invalid module');
	}
	
	$customTable = strtolower($module).'_cstm';
	
	global $sugar_config;
	if ($sugar_config['dbconfig']['db_type'] == 'mssql') {
		$queryResult = $db->query('SELECT TOP 1000 id_c FROM '.$customTable.' WHERE pi_is_queued_c = 1');
	} else {
		$queryResult = $db->query('SELECT id_c FROM '.$customTable.' WHERE pi_is_queued_c = 1 limit 1000');
	}
	
	$beanIds = array();
	while (($queryRow=$db->fetchByAssoc($queryResult)) != null) {
		$beanIds []= $queryRow['id_c'];
	}
	$beanEmails = getEmailsFromBeanIds($beanIds, $module);

	// de-queue unmatched beanIds
	$matchedBeanIds = array_values($beanEmails);
	$unmatchedBeanIds = array_diff($beanIds, $matchedBeanIds);
	foreach (array_chunk($unmatchedBeanIds, 200) as $unmatchedBeansChunk) {
		$db->pQuery('UPDATE '.$customTable.' SET pi_is_queued_c = 0 WHERE id_c IN (\''.implode('\', \'', $unmatchedBeansChunk).'\')');
	}
	
	serializeResult($beanEmails);
